com.amazonaws.services.codedeploy.model

## Class DeploymentConfigInfo

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.DeploymentConfigInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class DeploymentConfigInfo
    extends Object
    implements Serializable, Cloneable

Information about a deployment configuration.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DeploymentConfigInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeploymentConfigInfo` `clone()`
`boolean` `equals(Object obj)`
`Date` `getCreateTime()` The time at which the deployment configuration was created.
`String` `getDeploymentConfigId()` The deployment configuration ID.
`String` `getDeploymentConfigName()` The deployment configuration name.
`MinimumHealthyHosts` `getMinimumHealthyHosts()` Information about the number or percentage of minimum healthy instance.
`int` `hashCode()`
`void` `setCreateTime(Date createTime)` The time at which the deployment configuration was created.
`void` `setDeploymentConfigId(String deploymentConfigId)` The deployment configuration ID.
`void` `setDeploymentConfigName(String deploymentConfigName)` The deployment configuration name.
`void` `setMinimumHealthyHosts(MinimumHealthyHosts minimumHealthyHosts)` Information about the number or percentage of minimum healthy instance.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeploymentConfigInfo` `withCreateTime(Date createTime)` The time at which the deployment configuration was created.
`DeploymentConfigInfo` `withDeploymentConfigId(String deploymentConfigId)` The deployment configuration ID.
`DeploymentConfigInfo` `withDeploymentConfigName(String deploymentConfigName)` The deployment configuration name.
`DeploymentConfigInfo` `withMinimumHealthyHosts(MinimumHealthyHosts minimumHealthyHosts)` Information about the number or percentage of minimum healthy instance.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeploymentConfigInfo

    public DeploymentConfigInfo()

### Method Detail

#### setDeploymentConfigId

    public void setDeploymentConfigId(String deploymentConfigId)

The deployment configuration ID.

Parameters:
  `deploymentConfigId` - The deployment configuration ID.

#### getDeploymentConfigId

    public String getDeploymentConfigId()

The deployment configuration ID.

Returns:
  The deployment configuration ID.

#### withDeploymentConfigId

    public DeploymentConfigInfo withDeploymentConfigId(String deploymentConfigId)

The deployment configuration ID.

Parameters:
  `deploymentConfigId` - The deployment configuration ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeploymentConfigName

    public void setDeploymentConfigName(String deploymentConfigName)

The deployment configuration name.

Parameters:
  `deploymentConfigName` - The deployment configuration name.

#### getDeploymentConfigName

    public String getDeploymentConfigName()

The deployment configuration name.

Returns:
  The deployment configuration name.

#### withDeploymentConfigName

    public DeploymentConfigInfo withDeploymentConfigName(String deploymentConfigName)

The deployment configuration name.

Parameters:
  `deploymentConfigName` - The deployment configuration name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMinimumHealthyHosts

    public void setMinimumHealthyHosts(MinimumHealthyHosts minimumHealthyHosts)

Information about the number or percentage of minimum healthy instance.

Parameters:
  `minimumHealthyHosts` - Information about the number or percentage of minimum healthy instance.

#### getMinimumHealthyHosts

    public MinimumHealthyHosts getMinimumHealthyHosts()

Information about the number or percentage of minimum healthy instance.

Returns:
  Information about the number or percentage of minimum healthy instance.

#### withMinimumHealthyHosts

    public DeploymentConfigInfo withMinimumHealthyHosts(MinimumHealthyHosts minimumHealthyHosts)

Information about the number or percentage of minimum healthy instance.

Parameters:
  `minimumHealthyHosts` - Information about the number or percentage of minimum healthy instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreateTime

    public void setCreateTime(Date createTime)

The time at which the deployment configuration was created.

Parameters:
  `createTime` - The time at which the deployment configuration was created.

#### getCreateTime

    public Date getCreateTime()

The time at which the deployment configuration was created.

Returns:
  The time at which the deployment configuration was created.

#### withCreateTime

    public DeploymentConfigInfo withCreateTime(Date createTime)

The time at which the deployment configuration was created.

Parameters:
  `createTime` - The time at which the deployment configuration was created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeploymentConfigInfo clone()

Overrides:
  `clone` in class `Object`